Bug 1665682 - [abrt] remmina: poll_for_event(): remmina killed by SIGABRT
Summary: [abrt] remmina: poll_for_event(): remmina killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:085447cc03277b43243fbaeb45c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-12 16:20 UTC by Davide Repetto
Modified: 2019-10-11 17:59 UTC (History)
3 users (show)

Fixed In Version: remmina-1.3.3-1.fc29 remmina-1.3.3-1.fc28 remmina-1.3.6-1.fc30 remmina-1.3.6-1.fc29 remmina-1.3.6-1.fc31 remmina-1.3.6-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-16 01:10:24 UTC


Attachments (Terms of Use)
File: backtrace (44.20 KB, text/plain)
2019-01-12 16:20 UTC, Davide Repetto
no flags Details
File: cgroup (351 bytes, text/plain)
2019-01-12 16:20 UTC, Davide Repetto
no flags Details
File: core_backtrace (9.96 KB, text/plain)
2019-01-12 16:20 UTC, Davide Repetto
no flags Details
File: cpuinfo (1.04 KB, text/plain)
2019-01-12 16:20 UTC, Davide Repetto
no flags Details
File: dso_list (16.29 KB, text/plain)
2019-01-12 16:20 UTC, Davide Repetto
no flags Details
File: environ (2.79 KB, text/plain)
2019-01-12 16:20 UTC, Davide Repetto
no flags Details
File: limits (1.29 KB, text/plain)
2019-01-12 16:20 UTC, Davide Repetto
no flags Details
File: maps (101.74 KB, text/plain)
2019-01-12 16:20 UTC, Davide Repetto
no flags Details
File: mountinfo (5.85 KB, text/plain)
2019-01-12 16:20 UTC, Davide Repetto
no flags Details
File: open_fds (981 bytes, text/plain)
2019-01-12 16:20 UTC, Davide Repetto
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-01-12 16:20 UTC, Davide Repetto
no flags Details

Description Davide Repetto 2019-01-12 16:20:00 UTC
Version-Release number of selected component:
remmina-1.2.32.1-1.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        remmina -i
crash_function: poll_for_event
executable:     /usr/bin/remmina
journald_cursor: s=f03a1936b09c455a8577105569f4a61c;i=1c02;b=22d9ac862008404f92dbd6737bcf8687;m=5df2ce6599;t=57e004138bb2b;x=4598531954b44799
kernel:         4.19.10-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1632393

Comment 1 Davide Repetto 2019-01-12 16:20:09 UTC
Created attachment 1520188 [details]
File: backtrace

Comment 2 Davide Repetto 2019-01-12 16:20:11 UTC
Created attachment 1520189 [details]
File: cgroup

Comment 3 Davide Repetto 2019-01-12 16:20:12 UTC
Created attachment 1520190 [details]
File: core_backtrace

Comment 4 Davide Repetto 2019-01-12 16:20:13 UTC
Created attachment 1520191 [details]
File: cpuinfo

Comment 5 Davide Repetto 2019-01-12 16:20:15 UTC
Created attachment 1520192 [details]
File: dso_list

Comment 6 Davide Repetto 2019-01-12 16:20:16 UTC
Created attachment 1520193 [details]
File: environ

Comment 7 Davide Repetto 2019-01-12 16:20:17 UTC
Created attachment 1520194 [details]
File: limits

Comment 8 Davide Repetto 2019-01-12 16:20:21 UTC
Created attachment 1520195 [details]
File: maps

Comment 9 Davide Repetto 2019-01-12 16:20:22 UTC
Created attachment 1520196 [details]
File: mountinfo

Comment 10 Davide Repetto 2019-01-12 16:20:24 UTC
Created attachment 1520197 [details]
File: open_fds

Comment 11 Davide Repetto 2019-01-12 16:20:25 UTC
Created attachment 1520198 [details]
File: proc_pid_status

Comment 12 Davide Repetto 2019-02-12 18:25:15 UTC
Similar problem has been detected:

no idea what happened here!

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        remmina -i
crash_function: poll_for_event
executable:     /usr/bin/remmina
journald_cursor: s=7dd08109502b45178e301f10de0ad0d0;i=2e9a;b=0ea31ac0b9094e62b7ab3116b548d1c0;m=5512f1be32;t=580eb936de458;x=cdda8c8a3baaf0f8
kernel:         4.20.4-200.fc29.x86_64
package:        remmina-1.2.32.1-1.fc29
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Davide Repetto 2019-02-20 14:42:47 UTC
Similar problem has been detected:

A random Crash while using remmina in VNC mode.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        remmina -i
crash_function: poll_for_event
executable:     /usr/bin/remmina
journald_cursor: s=b59a78e53fa84b5b85b7f209dd206349;i=740;b=60ca40b59deb4ea695778a4933a32353;m=7020a58d8;t=5822eb03f9174;x=7d981d6046da2f56
kernel:         4.20.8-200.fc29.x86_64
package:        remmina-1.2.32.1-1.fc29
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora Update System 2019-02-28 19:42:54 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29 remmina-1.3.3-1.fc29 gnome-boxes-3.30.3-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e3b2885a25

Comment 15 Fedora Update System 2019-02-28 19:43:20 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc28 remmina-1.3.3-1.fc28 gnome-boxes-3.28.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 16 Fedora Update System 2019-03-01 03:36:08 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29, gnome-boxes-3.30.3-2.fc29, pidgin-sipe-1.24.0-3.fc29, remmina-1.3.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e3b2885a25

Comment 17 Fedora Update System 2019-03-01 22:23:25 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 18 Fedora Update System 2019-03-02 01:47:11 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29, gnome-boxes-3.30.3-2.fc29, pidgin-sipe-1.24.0-3.fc29, remmina-1.3.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-03-06 06:21:16 UTC
freerdp-2.0.0-49.20190304git435872b.fc28 gnome-boxes-3.28.5-2.fc28 pidgin-sipe-1.24.0-3.fc28 remmina-1.3.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 20 Fedora Update System 2019-03-06 15:12:49 UTC
freerdp-2.0.0-49.20190304git435872b.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 21 Fedora Update System 2019-04-05 01:54:47 UTC
freerdp-2.0.0-49.20190304git435872b.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Davide Repetto 2019-04-05 16:19:39 UTC
Similar problem has been detected:

Spontaneous remmina crash while having two vnc connections open to two different hosts (one was ultravnc 256-col and the other was x11vnc 15bits medium).

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        remmina -i
crash_function: poll_for_event
executable:     /usr/bin/remmina
journald_cursor: s=298c757fa3d042fd8dc451685f4af2f6;i=4b5;b=1945f42a62574a4f8664e331b1a606ce;m=31e9944b0;t=585cac2abf3d6;x=52a18cce20c5c3d0
kernel:         5.0.5-200.fc29.x86_64
package:        remmina-1.3.3-1.fc29
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Suren Karapetyan 2019-05-14 15:38:12 UTC
Similar problem has been detected:

The crash happens when connecting to a Windows 2008R2 Server system.
Couldn't find any patters in when it happens: sometimes it's when opening a contex menu,
sometimes when just switching between windows, or when typing into a cmd.exe.

The crash happens quite ofter - multiple times an hour.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: poll_for_event
executable:     /usr/bin/remmina
journald_cursor: s=b5f20e1a614f4e4d830f86aa948501d0;i=24dbb;b=edb7bbd9a23b492c8c86351e941a64f6;m=66ea36576;t=588da9d288560;x=83fb8dd09f588913
kernel:         5.0.13-200.fc29.x86_64
package:        remmina-1.3.3-1.fc29
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 24 Simone Caronni 2019-05-19 08:41:09 UTC
Just rolled out a new snapshot of FreeRDP (they don't do releases and keep on changing the ABI/API) and a new Remmina release:

https://bodhi.fedoraproject.org/updates/?packages=freerdp

Can you please try this and check if it's working? Thanks.

Comment 25 Davide Repetto 2019-07-10 15:34:24 UTC
Similar problem has been detected:

this is a random crash while using remmina normally

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        remmina -i
crash_function: poll_for_event
executable:     /usr/bin/remmina
journald_cursor: s=10dbff4fddb243109bc4ef19379f5f0a;i=99e;b=311aa651ee574a2c9a305ce82eaa3847;m=568a6eb26;t=58d047a7502cb;x=75fef0008e614489
kernel:         5.1.16-300.fc30.x86_64
package:        remmina-1.3.4-1.fc30
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 26 Davide Repetto 2019-08-17 11:31:47 UTC
Similar problem has been detected:

This crash happened while using the VNC plugin to access a Windows machine on the LAN, during normal activity. (aka, nothing special was going on)

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        remmina -i
crash_function: poll_for_event
executable:     /usr/bin/remmina
journald_cursor: s=8ed15ecdf20547d9bab4f1b45cf6d37b;i=89b;b=8b03c8daeddb4d8c9bdf84f7abdf2295;m=cd9aec85;t=5902998e084be;x=3a17a401b5d2ee83
kernel:         5.2.7-200.fc30.x86_64
package:        remmina-1.3.4-1.fc30
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 27 Simone Caronni 2019-08-22 12:58:33 UTC
Same as before, just rolled out a new snapshot of FreeRDP and a new Remmina release:

https://bodhi.fedoraproject.org/updates/?packages=freerdp

Please try this and check if it's working. Thanks.

Comment 28 Fedora Update System 2019-09-06 21:08:06 UTC
FEDORA-2019-f0fcc4cc78 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f0fcc4cc78

Comment 29 Fedora Update System 2019-09-06 21:08:15 UTC
FEDORA-2019-2d4e8352b0 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2d4e8352b0

Comment 30 Fedora Update System 2019-09-06 21:08:16 UTC
FEDORA-2019-688e83e12f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-688e83e12f

Comment 31 Fedora Update System 2019-09-07 16:57:39 UTC
remmina-1.3.6-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2d4e8352b0

Comment 32 Fedora Update System 2019-09-08 03:49:40 UTC
remmina-1.3.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-688e83e12f

Comment 33 Fedora Update System 2019-09-08 03:58:10 UTC
remmina-1.3.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0c081d02f6

Comment 34 Fedora Update System 2019-09-08 05:47:03 UTC
remmina-1.3.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f0fcc4cc78

Comment 35 Davide Repetto 2019-09-12 00:11:56 UTC
Similar problem has been detected:

The crash happened while controllling a remote windows PC with UltraVNC with remmina VNC plugin.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        remmina -i
crash_function: poll_for_event
executable:     /usr/bin/remmina
journald_cursor: s=0d0e53099e6544c993f2116e250f77cc;i=1eb6;b=aa65f73e16d842d3a3031d1eb432ade7;m=19ab19c06d;t=5924fc6990fd8;x=71cf2c8e20b8b40b
kernel:         5.2.11-200.fc30.x86_64
package:        remmina-1.3.5-2.fc30
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 36 Fedora Update System 2019-09-16 01:10:24 UTC
remmina-1.3.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2019-09-16 02:20:57 UTC
remmina-1.3.6-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2019-09-22 01:20:51 UTC
remmina-1.3.6-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2019-09-24 03:09:34 UTC
remmina-1.3.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 40 Davide Repetto 2019-10-05 10:13:19 UTC
Similar problem has been detected:

While operating in VNC mode I changed the background color on the remote windows machine and rremmina crashed.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        remmina -i
crash_function: poll_for_event
executable:     /usr/bin/remmina
journald_cursor: s=e9099f7e9615442aa626e7b51cb22fef;i=2ea5;b=12e256310ff84714b629e62ea97f59e0;m=491031962d;t=59426a269eba6;x=f7dc6ac9182589d1
kernel:         5.2.17-200.fc30.x86_64
package:        remmina-1.3.6-1.fc30
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 41 Davide Repetto 2019-10-11 17:59:51 UTC
Similar problem has been detected:

Another random crash while using the VNC plugin.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        remmina -i
crash_function: poll_for_event
executable:     /usr/bin/remmina
journald_cursor: s=c03b625d5b244b48b636dd8e05e64f73;i=1fbf;b=c9f9b5eea85a49ed81e8005129bcce8c;m=303abf5a32;t=594a471c51c9e;x=19a4fc833c4de987
kernel:         5.2.18-200.fc30.x86_64
package:        remmina-1.3.6-1.fc30
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.